Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 12:06:55 +0100

Stefan Monnier <[email-masked]> writes:

>>>> I have modified files-equal-p and file-subdir-of-p to work with
>>>> non--existing files,
>>> Calling files-equal-p on non-existing files makes no sense, so I don't
>>> think we should support it (at least not until we have concrete
>>> evidence that it is needed, at which point we can decide what we intend
>>> it to mean).
>> It is useful to handle e.g
>> (copy-directory "~/test" "~/test/test1")
>> where test1 is a non--existing directory.
>
> I see why we might want to signal an error to the user when she does
> (copy-directory "~/test" "~/test/test1"), but I don't see why that
> implies that we need files-equal-p to handle non-existent files.
Because if we don't do that, we have to create new directory Test1 and
then test if Test1 is a subdir of Test.
This just to avoid that.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997